Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slanv2

    java.lang.Object
      org.netlib.lapack.Slanv2

    public class Slanv2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric
     *  matrix in standard form:
     *
     *       [ A  B ] = [ CS -SN ] [ AA  BB ] [ CS  SN ]
     *       [ C  D ]   [ SN  CS ] [ CC  DD ] [-SN  CS ]
     *
     *  where either
     *  1) CC = 0 so that AA and DD are real eigenvalues of the matrix, or
     *  2) AA = DD and BB*CC < 0, so that AA + or - sqrt(BB*CC) are complex
     *  conjugate eigenvalues.
     *
     *  Arguments
     *  =========
     *
     *  A       (input/output) REAL
     *  B       (input/output) REAL
     *  C       (input/output) REAL
     *  D       (input/output) REAL
     *          On entry, the elements of the input matrix.
     *          On exit, they are overwritten by the elements of the
     *          standardised Schur form.
     *
     *  RT1R    (output) REAL
     *  RT1I    (output) REAL
     *  RT2R    (output) REAL
     *  RT2I    (output) REAL
     *          The real and imaginary parts of the eigenvalues. If the
     *          eigenvalues are a complex conjugate pair, RT1I > 0.
     *
     *  CS      (output) REAL
     *  SN      (output) REAL
     *          Parameters of the rotation matrix.
     *
     *  Further Details
     *  ===============
     *
     *  Modified by V. Sima, Research Institute for Informatics, Bucharest,
     *  Romania, to reduce the risk of cancellation errors,
     *  when computing real eigenvalues, and to ensure, if possible, that
     *  abs(RT1R) >= abs(RT2R).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slanv2()`

Method Summary
`static void` | `slanv2(floatW a, floatW b, floatW c, floatW d, floatW rt1r, floatW rt1i, floatW rt2r, floatW rt2i, floatW cs, floatW sn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slanv2

    public Slanv2()

Method Detail

### slanv2

    public static void slanv2(floatW a,
                              floatW b,
                              floatW c,
                              floatW d,
                              floatW rt1r,
                              floatW rt1i,
                              floatW rt2r,
                              floatW rt2i,
                              floatW cs,
                              floatW sn)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD